Attribute VB_Name = "mdlColourCode"
Option Explicit
Dim C1 As Single, C2 As Single, C3 As Single, C4 As Single
Private Function MyProduct(varInput As Variant)
'Feb. 18, 2008
Application.Volatile
Dim PlaceHolder As Integer, LeftVal As Single, RightVal As Single

PlaceHolder = InStr(1, varInput, "-")

If PlaceHolder > 0 Then
    LeftVal = Left(varInput, PlaceHolder - 1)
    RightVal = Mid(varInput, PlaceHolder + 1)
    MyProduct = LeftVal * RightVal
Else
    MyProduct = Null
End If

End Function

Public Sub ShadeCells()
'Feb. 18, 2008
Dim c As Variant, MyTest As Variant
SelectDataCells
SetVariables

For Each c In Selection
    MyTest = MyProduct(c)
    If Not IsNull(MyTest) Then
            'If MyTest >= 10 Then
            If MyTest >= C1 Then
                Colour1 c.Address
                Colour1 Range(Cells(c.Row, 2), Cells(c.Row, 3)).Address
            End If
            'If MyTest < 10 And MyTest >= 4 Then
            If MyTest < C1 And MyTest >= C2 Then
                Colour2 c.Address
            End If
            'If MyTest < 4 And MyTest >= 1 Then
            If MyTest < C2 And MyTest >= C3 Then
                Colour3 c.Address
            End If
            'If MyTest < 1 And MyTest >= 0.5 Then
            If MyTest < C3 And MyTest >= C4 Then
                Colour4 c.Address
            End If
            'If MyTest < 0.5 Then
            If MyTest < C4 Then
                White c.Address
            End If
    End If
Next c

ActiveSheet.Cells(1, 1).Select

End Sub

Private Sub Colour1(MyRange As String)
'Feb. 18, 2008
    With Range(MyRange).Interior
        .ColorIndex = 36 '36 = yellow
        .Pattern = xlSolid
    End With
End Sub

Private Sub Colour2(MyRange As String)
'Feb. 18, 2008
    With Range(MyRange).Interior
        .ColorIndex = 35 '35 = green
        .Pattern = xlSolid
    End With
End Sub

Private Sub Colour3(MyRange As String)
'Feb. 18, 2008
    With Range(MyRange).Interior
        .ColorIndex = 34 '34 = blue
        .Pattern = xlSolid
    End With
End Sub

Private Sub Colour4(MyRange As String)
'Feb. 18, 2008
    With Range(MyRange).Interior
        .ColorIndex = 15 '15 = gray
        .Pattern = xlSolid
    End With
End Sub

Private Sub White(MyRange As String)
'Feb. 18, 2008
    With Range(MyRange).Interior
        .ColorIndex = xlNone
    End With
End Sub

Private Sub SelectDataCells()
'Feb. 18, 2008
Dim FirstCol As Integer, LastCol As Integer, LastRow As Integer
    
    If Range("D5") = "Order" Then
        FirstCol = 5
        LastCol = Application.CountA(Range("5:5")) - FirstCol + 5
    Else
        FirstCol = 4
        LastCol = Application.CountA(Range("5:5")) - FirstCol + 4
    End If

    LastRow = Application.CountA(Range("b:b")) + 5

Application.ActiveSheet.Range(Cells(7, FirstCol), Cells(LastRow, LastCol)).Select

End Sub

Private Sub SetVariables()

Dim MyValues As New clsColourSummaryOptions

C1 = MyValues.CriteriaColour01
C2 = MyValues.CriteriaColour02
C3 = MyValues.CriteriaColour03
C4 = MyValues.CriteriaColour04

End Sub
